========
cfn-init
========

.. program:: cfn-init

SYNOPSIS
========

``cfn-init``

DESCRIPTION
===========
Implements cfn-init CloudFormation functionality


OPTIONS
=======
.. cmdoption:: -s, --stack

  A Heat stack name

.. cmdoption:: -r, --resource

  A Heat logical resource ID

.. cmdoption:: --access-key

  A Keystone access key

.. cmdoption:: --secret-key

  A Keystone secret key

.. cmdoption:: --region

  Openstack region

.. cmdoption:: -c, --configsets

  An optional list of configSets (default: default)


BUGS
====
Heat bugs are managed through Launchpad <https://launchpad.net/heat-cfntools>